public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Dirkjan Ochtman (djc)" <djc@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] gentoo-x86 commit in dev-lua/luadbi: luadbi-0.5-r1.ebuild ChangeLog
Date: Sun, 30 Sep 2012 11:57:08 +0000 (UTC)	[thread overview]
Message-ID: <20120930115708.D7BD121600@flycatcher.gentoo.org> (raw)

djc         12/09/30 11:57:08

  Modified:             luadbi-0.5-r1.ebuild ChangeLog
  Log:
  Update luadbi to EAPI=4 (bug 427928).
  
  (Portage version: 2.1.11.23/cvs/Linux x86_64)

Revision  Changes    Path
1.4                  dev-lua/luadbi/luadbi-0.5-r1.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lua/luadbi/luadbi-0.5-r1.ebuild?rev=1.4&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lua/luadbi/luadbi-0.5-r1.ebuild?rev=1.4&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lua/luadbi/luadbi-0.5-r1.ebuild?r1=1.3&r2=1.4

Index: luadbi-0.5-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-lua/luadbi/luadbi-0.5-r1.ebuild,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- luadbi-0.5-r1.ebuild	4 May 2012 04:01:52 -0000	1.3
+++ luadbi-0.5-r1.ebuild	30 Sep 2012 11:57:08 -0000	1.4
@@ -1,8 +1,8 @@
 # Copyright 1999-2012 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lua/luadbi/luadbi-0.5-r1.ebuild,v 1.3 2012/05/04 04:01:52 jdhore Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-lua/luadbi/luadbi-0.5-r1.ebuild,v 1.4 2012/09/30 11:57:08 djc Exp $
 
-EAPI=2
+EAPI=4
 
 inherit multilib toolchain-funcs flag-o-matic eutils
 
@@ -14,6 +14,7 @@
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 IUSE="mysql postgres sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
 
 RDEPEND=">=dev-lang/lua-5.1
 		mysql? ( virtual/mysql )
@@ -40,19 +41,9 @@
 	use postgres && drivers="${drivers} psql"
 	use sqlite && drivers="${drivers} sqlite3"
 
-	if [ -z "${drivers// /}" ] ; then
-		eerror
-		eerror "No driver was selected, cannot build."
-		eerror "Please set USE flags to build any driver."
-		eerror "Possible USE flags: mysql postgres sqlite"
-		eerror
-		die "No driver selected"
-	fi
-
 	append-flags -fPIC -c
 	for driver in "${drivers}" ; do
-		emake ${driver} \
-			|| die "Compiling driver '${drivers// /}' failed"
+		emake ${driver}
 	done
 }
 
@@ -63,7 +54,6 @@
 	use sqlite && drivers="${drivers} sqlite3"
 
 	for driver in ${drivers} ; do
-		emake DESTDIR="${D}" "install_${driver// /}" \
-			|| die "Install of driver '${drivers// /}' failed"
+		emake DESTDIR="${D}" "install_${driver// /}"
 	done
 }



1.6                  dev-lua/luadbi/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lua/luadbi/ChangeLog?rev=1.6&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lua/luadbi/ChangeLog?rev=1.6&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lua/luadbi/ChangeLog?r1=1.5&r2=1.6

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-lua/luadbi/ChangeLog,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- ChangeLog	4 May 2012 04:01:52 -0000	1.5
+++ ChangeLog	30 Sep 2012 11:57:08 -0000	1.6
@@ -1,6 +1,10 @@
 # ChangeLog for dev-lua/luadbi
 # Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lua/luadbi/ChangeLog,v 1.5 2012/05/04 04:01:52 jdhore Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-lua/luadbi/ChangeLog,v 1.6 2012/09/30 11:57:08 djc Exp $
+
+  30 Sep 2012; Dirkjan Ochtman <djc@gentoo.org> luadbi-0.5-r1.ebuild:
+  Upgrade to EAPI=4, for REQUIRED_USE (bug 427928, thanks to
+  gentoo@quintero.com).
 
   04 May 2012; Jeff Horelick <jdhore@gentoo.org> luadbi-0.5-r1.ebuild:
   dev-util/pkgconfig -> virtual/pkgconfig





             reply	other threads:[~2012-09-30 11:57 UTC|newest]

Thread overview: 5+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2012-09-30 11:57 Dirkjan Ochtman (djc) [this message]
  -- strict thread matches above, loose matches on Subject: below --
2012-12-31  9:49 [gentoo-commits] gentoo-x86 commit in dev-lua/luadbi: luadbi-0.5-r1.ebuild ChangeLog Dirkjan Ochtman (djc)
2012-10-21  9:10 Markus Meier (maekke)
2012-03-01 12:16 Dirkjan Ochtman (djc)
2011-05-02 16:37 Dirkjan Ochtman (djc)

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20120930115708.D7BD121600@flycatcher.gentoo.org \
    --to=djc@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox